WordPress.org

Ready to get started?Download WordPress

Forums

2.5RC1 login problem (6 posts)

  1. jonakis
    Member
    Posted 6 years ago #

    Hello ppl!I just installed 2.5RC1 and after the install when i go to login and fill my username and pass, i press login and i have an error page saying
    "Warning: getmypid() has been disabled for security reasons in /myservername/myusername/public_html/blog/wp-includes/class-phpass.php on line 51

    Warning: Cannot modify header information - headers already sent by (output started at /myservername/myusername/public_html/blog/wp-includes/class-phpass.php:51) in /myservername/myusername/public_html/blog/wp-includes/pluggable.php on line 556

    Warning: Cannot modify header information - headers already sent by (output started at /myservername/myusername/public_html/blog/wp-includes/class-phpass.php:51) in /myservername/myusername/public_html/blog/wp-includes/pluggable.php on line 693

    Any opinion?
    Thanks in advance!

  2. mpgeorge
    Member
    Posted 6 years ago #

    I am receiving exactly the same error message when I upgrade to 2.5 RC1.

    Does anyone have any ideas?

  3. titanas
    Member
    Posted 6 years ago #

    Guys, looks like your hosting company has disabled a php function. The class-phpass.php uses a dumb method of generating random numbers.

    Looks like a patch it's on its way to fix that. Kudos to tellyworth for all the help!

  4. titanas
    Member
    Posted 6 years ago #

    The patch is baking as we speak :)
    http://trac.wordpress.org/ticket/6293

  5. Bernard Bos
    Member
    Posted 6 years ago #

    The patch is working wonderful! Thanks for the link.

  6. supermitten
    Member
    Posted 5 years ago #

    You are a WONDERFUL genius.

    I just about died. Until I found this brilliant patchy thing!

    THANK YOU!THANK YOU! THANK YOU!

Topic Closed

This topic has been closed to new replies.

About this Topic